#ifndef smarchive_include
#define smarchive_include

#include "context.h"

extern int debug_syslog;

////////////////////////////////////////////////
// mail filter private data, held for us by sendmail
//
struct mlfiPriv
{
	// connection specific data
	CONFIG	*pc;			// global filtering configuration
	// message specific data
	char		*mailaddr;	// envelope from value
	char		*queueid;	// sendmail queue id
	string_set	targets;	// targets to add at eom, strings are owned by the config
	mlfiPriv();
	~mlfiPriv();
	void reset(bool final = false); // for a new message
};

void my_syslog(mlfiPriv *priv, char *text);
void my_syslog(char *text);

#endif
